$color: red;

@mixin buttonDefault {
  background-color: black;
  position: relative;
  padding: 8px 16px;
  color: white;
  width: fit-content;
  font-size: 20px;
  border: unset;
  border-radius: 3px;
  cursor: pointer;
  transition: 100ms;
  padding: 5px 10px;
  &:hover {
    background-color: black;
    font-size: 21px;
    padding-right: 30px;
    &::after {
      content: "";
      box-sizing: border-box;
      position: absolute;
      top: 50%;
      left: 100%;
      width: 20px;
      height: 20px;
      margin-top: -10px;
      margin-left: -25px;
      border-radius: 50%;
      border: 1px solid #f6f;
      border-top-color: #0e0;
      border-right-color: #0dd;
      border-bottom-color: #f90;
      animation: butonSpinner 0.6s linear infinite;
    }
  }
  &:active {
    background: rgb(179, 179, 194);
  }
}

@keyframes butonSpinner {
  to {
    transform: rotate(360deg);
  }
}

button {
  @include buttonDefault();
}
